Skip to main content
PATCH
/
api
/
product_storage_units
/
{id}
Update a product storage unit
curl --request PATCH \
  --url https://clarus-api.com/api/product_storage_units/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "product_storage_units",
    "attributes": {
      "product_id": 150,
      "storage_unit_type_id": 12,
      "stock_configuration": "case",
      "unit_of_measure": "centimetre",
      "per_layer": 10,
      "number_of_layers": 5,
      "total": 50
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "product_storage_units",
    "attributes": {
      "product_id": 150,
      "priority": 0,
      "per_layer": 10,
      "number_of_layers": 5,
      "total": 50
    }
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the product storage unit

Body

application/json
data
object
required

Response

Updated successfully

The response is of type object.